/*******************************************************************************
 *   Webster II - The Mini Webserver
 *
 *   Application configuration header file. This data structure is filled in from
 *   the config2.dat file found in the root directory of the file system.
 *
 *   Written by: Craig A. Lindley
 *   Version: 1.1
 *   Last Update: 07/30/2008
 ******************************************************************************/

#ifndef CONFIG_H_
#define CONFIG_H_

// Runtime maximums
#define MAX_REALM_NAME_LENGTH    32
#define MAX_HOST_NAME_LENGTH     16
#define MAX_USER_PASSWD_LENGTH   12
#define MAX_NTP_SERVERS           4
#define MAX_AUTH_PAGES           20
#define MAX_PAGE_NAME_LENGTH     20

// Define the ApplicationConfiguration structure
typedef struct _APP_CONFIG {
	char realmname[MAX_REALM_NAME_LENGTH];
	char hostname[MAX_HOST_NAME_LENGTH];
	bool usedhcp;
	bool useauth;
	char authuser[MAX_USER_PASSWD_LENGTH];
	char authpass[MAX_USER_PASSWD_LENGTH];
    char authpages[MAX_AUTH_PAGES][MAX_PAGE_NAME_LENGTH];
	bool useftpsecurity;
	char ftpuser[MAX_USER_PASSWD_LENGTH];
	char ftppass[MAX_USER_PASSWD_LENGTH];
	bool usentp;
	unsigned long ntpservers[MAX_NTP_SERVERS];
	int  timezone;
	bool use_dst;
	unsigned long ipaddr;
	unsigned long subnetmask;
	unsigned long gatewayipaddr;
	unsigned long dnsipaddr;
	bool uselogging;
	char logginghostname[MAX_HOST_NAME_LENGTH];
}	APP_CONFIG;

// Define functions
bool readApplicationConfiguration();

#endif /*CONFIG_H_*/
